# Links Manager SQL Upgrade
# For Zen-Cart 1.3.7
# Last Updated: 27/01/2007
# run the included update_links_manager.sql using the Zen-Cart Sql Patches tool
# (admin -> tools -> install sql patches)
# New configuration options are added to the zen_configuration table.
# For best results, cut-and-paste the code into the query field and press 'Send' instead.

ALTER TABLE `links` CHANGE `links_status` `links_status` TINYINT( 1 ) NOT NULL DEFAULT '1';
ALTER TABLE `links_to_link_categories` CHANGE `links_id` `links_id` INT( 11 ) NOT NULL AUTO_INCREMENT;

SET @configuration_group_id=0;
SELECT @configuration_group_id:=configuration_group_id 
FROM configuration_group
WHERE configuration_group_title= 'Links Manager'
LIMIT 1;

DELETE FROM configuration WHERE configuration_group_id = @configuration_group_id;
DELETE FROM configuration WHERE configuration_key = 'DEFINE_LINKS_STATUS';
DELETE FROM configuration_group WHERE configuration_group_id = @configuration_group_id;

INSERT INTO configuration_group VALUES (NULL, 'Links Manager', 'Links Display Settings', '1', '1');
SET @configuration_group_id=last_insert_id();
UPDATE configuration_group SET sort_order = @configuration_group_id WHERE configuration_group_id = @configuration_group_id;

INSERT INTO `configuration` VALUES (NULL, 'Links Box - Display View All Links', 'BOX_DISPLAY_VIEW_ALL_LINKS', 'true', 'Display View All Links on Links Sidebox', @configuration_group_id, 1, NULL, now(), NULL, 'zen_cfg_select_option(array(NULL, ''true'', ''false''), '), (NULL, 'Links Box - Display Submit Link', 'BOX_DISPLAY_SUBMIT_LINK', 'true', 'Display Submit Link on Sidebox', @configuration_group_id, 2, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'', ''false''), '), (NULL, 'Display Description As Link', 'DISPLAY_LINK_DESCRIPTION_AS_LINK', 'false', 'Display the links description as a link', @configuration_group_id, 3, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'', ''false''), '), (NULL, 'Enable Click Count', 'ENABLE_LINKS_COUNT', 'true', 'Enable links click count.', @configuration_group_id, 4, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'', ''false''), '), (NULL, 'Submit Link - Require Reciprocal Page', 'SUBMIT_LINK_REQUIRE_RECIPROCAL', 'true', 'Require Reciprocal Page on Links Submit', @configuration_group_id, 5, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'', ''false''), '), (NULL, 'Display Link Title', 'LINK_LIST_IMAGE', '1', 'Do you want to display the Link Title?', @configuration_group_id, 6, NULL, now(), NULL, NULL), (NULL, 'Display Link Description', 'LINK_LIST_DESCRIPTION', '2', 'Do you want to display the Link Description?', @configuration_group_id, 7, NULL, now(), NULL, NULL), (NULL, 'Display Link Click Count', 'LINK_LIST_COUNT', '3', 'Do you want to display the Link Click Count?', @configuration_group_id, 8, NULL, now(), NULL, NULL), (NULL, 'Link Title Minimum Length', 'ENTRY_LINKS_TITLE_MIN_LENGTH', '2', 'Minimum length of link title.', @configuration_group_id, 9, NULL, now(), NULL, NULL), (NULL, 'Link URL Minimum Length', 'ENTRY_LINKS_URL_MIN_LENGTH', '10', 'Minimum length of link URL.', @configuration_group_id, 10, NULL, now(), NULL, NULL), (NULL, 'Link Description Minimum Length', 'ENTRY_LINKS_DESCRIPTION_MIN_LENGTH', '10', 'Minimum length of link description.', @configuration_group_id, 11, NULL, now(), NULL, NULL), (NULL, 'Link Contact Name Minimum Length', 'ENTRY_LINKS_CONTACT_NAME_MIN_LENGTH', '2', 'Minimum length of link contact name.', @configuration_group_id, 12, NULL, now(), NULL, NULL), (NULL, 'Links Check Phrase', 'LINKS_CHECK_PHRASE', 'yoursitename', 'Phrase to look for, when you perform a link check.', @configuration_group_id, 13, NULL, now(), NULL, NULL), (NULL, 'Links List - Scroll Box Size/Style', 'MAX_LINKS_LIST', '3', 'Number of link category names to be displayed in the scroll box window. Setting this to 1 or 0 will display a dropdown list', @configuration_group_id, 14, NULL, now(), NULL, NULL), (NULL, 'Length of Link Categories Name', 'MAX_DISPLAY_LINK_NAME_LEN', '20', 'Used in links box; maximum length of link category name to display. Longer names will be truncated.', @configuration_group_id, 15, NULL, now(), NULL, NULL), (NULL, 'Select Links Sort Order', 'DEFINE_SORT_ORDER', '1', 'Define the sort order of the links<br />1= Sort by Title<br />2= Sort by Date (Newest to Oldest)<br />3= Sort by number of clicks (highest to lowest)', @configuration_group_id, 16, NULL, now(), NULL, 'zen_cfg_select_option(array(''1'', ''2'', ''3''),'), (NULL, 'Number of Link Categories Per Row - Default is 3', 'MAX_LINK_CATEGORIES_ROW', '3', 'Used to display Link Categories per row.<br />Default is 3', @configuration_group_id, 17, NULL, now(), NULL, NULL), (NULL,'Only registered customers may submit a Link', 'REGISTERED_LINK', 'false', 'Only registered customers may submit a Link', @configuration_group_id, 18, NULL, now(), NULL, 'zen_cfg_select_option(array(''true'', ''false''),');

INSERT INTO `configuration` VALUES (NULL, 'Define Links Status', 'DEFINE_LINKS_STATUS', '1', 'Enable the Defined Link/Text?<br />0= Link ON, Define Text OFF<br />1= Link ON, Define Text ON<br />2= Link OFF, Define Text ON<br />3= Link OFF, Define Text OFF', 25, 999, NULL, now(), NULL, 'zen_cfg_select_option(array(''0'', ''1'', ''2'', ''3''),');